Name:		pam_mount
Version:	0.48
%define		subrel 2
Release:	%mkrel 1
Summary:	Pluggable Authentication Module for dynamic mounting of remote volumes
Summary(pt_BR):	Mdulo de autenticao PAM para montagem dinmica de volumes remotes
Summary(es):	Pluggable authentication module for dynamic mouting of remote volumes
License:	GPLv2+ and LGPLv2+
Group:		Networking/Other
URL:		http://pam-mount.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/pam-mount/%{name}-%{version}.tar.lzma
# patch to use pkcs15-crypt to decrypt a filesystem key file
# based on http://keitin.net/jarpatus/projects/usbtoken/index_eng.shtml
Patch:		pam_mount-0.48-scsupport.patch
Patch1:		pam_mount-git-convert_pam_mount_conf-lsof_callback.patch
Patch2:		pam_mount-0.17-mdv-CVE-2008-5138.patch
Requires:	opensc
BuildRequires:	pam-devel
BuildRequires:	zlib-devel
BuildRequires:	glib2-devel
BuildRequires:	libHX-devel >= 1.25
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	pam_mount-devel

%description
Pam_mount is a PAM module that allows dynamic remote volume mounting.
It is mainly useful for users that have private volumes in Samba /
Windows NT / Netware servers and need access to them during a Unix
session.

%description -l pt_BR
O pam_mount  um mdulo PAM que permite montagem dinmica de volumes
remotos. Ele  particularmente til para usurios que detm volumes
privados em servidores Samba / Windows NT / Netware e precisam ter
acesso a eles durante uma sesso Unix.

%description -l fr_FR
pam_mount est un module qui permet de monter dynamiquement un
volume au login. Il est utilis afin de permettre aux utilisateurs de
monter leur rpertoires privs sur des serveurs Samba/NT/Netware au
cours d'une session Unix.

%prep
%setup -q
%patch -p1 -b .sc
%patch1 -p1
%patch2 -p1 -b .cve-2008-5138

%build
%configure2_5x
%make moduledir=/%{_lib}/security

%install
rm -rf %{buildroot}
%makeinstall_std moduledir=/%{_lib}/security
install -m0600 config/pam_mount.conf.xml -D %{buildroot}%{_sysconfdir}/security/pam_mount.conf.xml
install -m0755 scripts/convert_pam_mount_conf.pl %{buildroot}%{_sbindir}

%clean
rm -rf %{buildroot}

%pre
#
# On upgrade, when pmt.conf exists and pmt.conf.xml does not,
# create pmt.conf.xml with size 0 to signal conversion.
#
f="%{_sysconfdir}/security/pam_mount.conf";
if [ "$1" -eq 2 -a -e "$f" ]; then
	touch -a "$f.xml";
fi;

%post
#
# pmt.conf.xml always exists now.
#
f="%{_sysconfdir}/security/pam_mount.conf";
if [ -e "$f" -a ! -s "$f.xml" ]; then
	"%{_sbindir}ls /convert_pam_mount_conf.pl" \
		<"$f" >"$f.xml";
	echo -en "Configuration migration from pam_mount.conf to pam_mount.conf.xml ";
	if [ "$?" -eq 0 ]; then
		echo "successful - also please check any ~/.pam_mount.conf files.";
	else
		echo "failed";
	fi;
fi;

%files 
%defattr(0644,root,root,0755)
/%{_lib}/security/pam_mount*.so
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/*
%attr(0755,root,root) /sbin/*
%config(noreplace) %{_sysconfdir}/security/%{name}.conf.xml
%doc doc/bugs.txt doc/changelog.txt doc/faq.txt doc/todo.txt doc/pam_mount.txt
%{_mandir}/man8/*
%{_mandir}/man1/*
%{_mandir}/man5/pam_mount.conf.5*


%changelog
* Mon Jan 05 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.48-1.2mdv2009.0
- P2: security fix for CVE-2008-5138

* Sun Sep 14 2008 Funda Wang <fundawang@mandriva.org> 0.48-1mdv2009.0
+ Revision: 284621
- New version 0.48
- rediff patch0
- sync fedora patch with lsof

* Sun Sep 07 2008 Funda Wang <fundawang@mandriva.org> 0.47-2mdv2009.0
+ Revision: 282298
- add git patch to build against 1.25

* Fri Sep 05 2008 Frederik Himpe <fhimpe@mandriva.org> 0.47-1mdv2009.0
+ Revision: 281646
- update to new version 0.47

* Mon Sep 01 2008 Frederik Himpe <fhimpe@mandriva.org> 0.45-1mdv2009.0
+ Revision: 278530
- update to new version 0.45

* Thu Jul 17 2008 Funda Wang <fundawang@mandriva.org> 0.43-1mdv2009.0
+ Revision: 236672
- New version 0.43

* Sat Jun 21 2008 Buchan Milne <bgmilne@mandriva.org> 0.41-1mdv2009.0
+ Revision: 227831
- New version 0.41

* Sun May 18 2008 Funda Wang <fundawang@mandriva.org> 0.37-1mdv2009.0
+ Revision: 208618
- fix file list
- bumpig versioned BR
- New version 0.37

* Sun Mar 23 2008 Emmanuel Andry <eandry@mandriva.org> 0.33-2mdv2008.1
+ Revision: 189605
- Obsoletes pam_mount-devel

* Mon Mar 03 2008 Buchan Milne <bgmilne@mandriva.org> 0.33-1mdv2008.1
+ Revision: 178075
- New version 0.33
-Fix Source URL

* Fri Feb 15 2008 Adam Williamson <awilliamson@mandriva.com> 0.32-2mdv2008.1
+ Revision: 168727
- buildrequires openssl-devel (so it can use openssl algorithms)

* Wed Feb 13 2008 Adam Williamson <awilliamson@mandriva.com> 0.32-1mdv2008.1
+ Revision: 167132
- buildrequires libxml2-devel
- rebuild for new era
- new license policy (scripts are GPLv2+, library is LGPLv2+)
- drop -devel package (not necessary, stuff was removed upstream)
- minor cleanups
- add conversion for config file in %%post and %%pre (from upstream .spec file)
- adjust file list for upstream changes
- rediff patch (hope I got it right)
- new release 0.32 (should fix #37681)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Aug 28 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-28 16:06:25 (58356)
- updated to version 0.17
- removed realpath patch, no longer needed
- bunzipped patches

* Mon Aug 28 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-28 15:42:07 (58343)
- Import pam_mount

* Fri Jan 20 2006 Buchan Milne <bgmilne@mandriva.org> 0.10.0-5mdk
- glib2-devel instead of glib-devel

* Thu Jan 12 2006 Buchan Milne <bgmilne@mandriva.org> 0.10.0-4mdk
- buildrequire glib-devel

* Mon Dec 05 2005 Andreas Hasenack <andreas@mandriva.com> 0.10.0-3mdk
- added patch to make it possible to use a smart card to decrypt the
  filesystem key file for dm-crypt mounts (based on work done by
  Jari Eskelinen, see 
  http://keitin.net/jarpatus/projects/usbtoken/index_eng.shtml)
- added requirement for a specific opensc EVR due to the above patch
- added symlinks in /sbin for the u?mount.crypt scripts

* Mon Dec 05 2005 Andreas Hasenack <andreas@mandriva.com> 0.10.0-2mdk
- added patch to fix umount.crypt script

* Mon Dec 05 2005 Andreas Hasenack <andreas@mandriva.com> 0.10.0-1mdk
- updated to version 0.10.0
- removed the libtoolize and cputoolize defines, seems to work without them

* Wed Aug 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.9.25-1mdk
- New release 0.9.25

* Tue Nov 16 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.9.20-2mdk
- add FAQ and other missing docs
- buildrequires zlib-devel (See Changelog entry, 10 March 2004)

* Wed Sep 01 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.9.20-1mdk
- 0.9.20

* Sun Jan 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.9-1mdk
- 0.9.9
- rm -rf $RPM_BUILD_ROOT
- cleanups and cosmetics

